require 'bundler/setup'
require 'webmock/rspec'
require 'vcr'
require 'awesome_print'

require_relative '../lib/lifen.rb'

VCR.configure do |c|
  c.cassette_library_dir = 'spec/cassettes'
  c.hook_into :webmock
  c.allow_http_connections_when_no_cassette = false
  c.before_record do |i|
    i.response.body.force_encoding('UTF-8')
  end
end

RSpec.configure do |c|
  c.before(:each) do
    Lifen.configure do |config|
      config.site = "https://develop.lifen.fr/"
      config.application_access_token = "valid_application_access_token"
    end
  end
end
